Cannot add the same Math/Chemical formula that has been cleared from the context menu before.
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page with VE that has a Math/Chemical Formula/Hiero/Musical Notation node in it.
  2. Select it.
  3. Click on the Edit button in the context menu for it.
  4. Now clear the text field and click on "Done". (Maybe it shouldn't be enabled after clearing the text in the first place?)
  5. Now open the same inspector again anywhere on the page from Insert Menu
  6. Add the same content that you just deleted in step 4.

Observe that, when you opened the inspector second time, the "Done" button in the context menu was enabled but as soon as you enter the same content it gets grayed out and therefore that cannot be added anymore anywhere on the page.

Ryasmeen created this task.Aug 5 2017, 3:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2017, 3:20 AM
Ryasmeen updated the task description. (Show Details)Aug 5 2017, 3:21 AM
Deskana triaged this task as Normal priority.Aug 29 2017, 7:20 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana set the point value for this task to 1.

That's just weird.

Change 376536 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWExtensionWindow: clean up originalMwData on teardown

https://gerrit.wikimedia.org/r/376536

Change 376536 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWExtensionWindow: clean up originalMwData on teardown

https://gerrit.wikimedia.org/r/376536

Deskana assigned this task to DLynch.Sep 11 2017, 11:34 AM
Deskana closed this task as Resolved.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 11 2017, 11:34 AM